//package tarea_3;
//import java.awt.Graphics;
import java.awt.Graphics2D;

import javax.swing.*;

public abstract class Equipment {
	abstract public void timeTick(float dt);
	abstract public void paint(Graphics2D g2d);
	abstract public Box getGUI();
        //abstract public void linea2D(Graphics g);
}
